Last Comment Bug 726503 - FILE_FLAG_SEQUENTIAL_SCAN always being passed for all file IO
: FILE_FLAG_SEQUENTIAL_SCAN always being passed for all file IO
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal (vote)
: mozilla13
Assigned To: Brian R. Bondy [:bbondy]
:
Mentors:
Depends on:
Blocks: 686691
  Show dependency treegraph
 
Reported: 2012-02-12 19:38 PST by Brian R. Bondy [:bbondy]
Modified: 2012-02-17 05:34 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1. (852 bytes, patch)
2012-02-12 19:38 PST, Brian R. Bondy [:bbondy]
taras.mozilla: review+
Details | Diff | Splinter Review

Description Brian R. Bondy [:bbondy] 2012-02-12 19:38:42 PST
Created attachment 596552 [details] [diff] [review]
Patch v1.

We're currently always passing the read-ahead flag (FILE_FLAG_SEQUENTIAL_SCAN) on Windows for every file operation.

This flag causes 1) old pages to be released faster and 2) extra data to be read before it is needed (if it is needed).
This is good in a lot of cases, but we should only use it when it is needed and when the flag is actually set.

I think it was unintentionally always turned on in October of 2011 in Bug 686691.
Comment 1 (dormant account) 2012-02-13 11:32:51 PST
Comment on attachment 596552 [details] [diff] [review]
Patch v1.

Good catch
Comment 2 Brian R. Bondy [:bbondy] 2012-02-16 05:57:04 PST
http://hg.mozilla.org/integration/mozilla-inbound/rev/4e0b3a431e2e
Comment 3 Ed Morley [:emorley] 2012-02-17 05:34:10 PST
https://hg.mozilla.org/mozilla-central/rev/4e0b3a431e2e

Note You need to log in before you can comment on or make changes to this bug.